Search found 25 matches

by gcurrie
08 Jun 20 20:58
Forum: Photo Supreme
Topic: Error updating to v5 build 2960
Replies: 8
Views: 438

Re: Error updating to v5 build 2960

Hert: Thanks for this script. I was able to update the database. I had to modify the script. When I executed "drop function process_idSearchDataUpdateFTS;" I got a syntax error. I had to DROP that function manually. Then I was able to run the next two lines without errors. Connecting an updated clie...
by gcurrie
07 Jun 20 23:22
Forum: Photo Supreme
Topic: Error updating to v5 build 2960
Replies: 8
Views: 438

Re: Error updating to v5 build 2960

Hert: Yes, correct PostgreSQL version always. Obviously casing is a non-issue. The script you supplied me enables me to re-create trigger and trigger function, but then the upgrade code successfully DROPS the trigger and then fails on DROPPING the trigger function . If I run the update again, I'm ri...
by gcurrie
07 Jun 20 20:34
Forum: Photo Supreme
Topic: Error updating to v5 build 2960
Replies: 8
Views: 438

Re: Error updating to v5 build 2960

Hert: I ran the supplied code to create the trigger function and trigger. Upon trying to update the database via client connection I now get a new error: Unable to connect to the database. The database reports: Something went wrong while upgrading your PostgreSQL Catalog towards version 3023 (last s...
by gcurrie
07 Jun 20 19:09
Forum: Photo Supreme
Topic: Error updating to v5 build 2960
Replies: 8
Views: 438

Error updating to v5 build 2960

Running v5 Server Edition PostgreSQL (9.6). After updating the client and initially connecting to database, I am prompted to update the database. I then get this error: Unable to connect to the database. The database reports: Something went wrong while upgrading your PostgreSQL Catalog towards versi...
by gcurrie
13 May 20 7:42
Forum: Workflow Questions
Topic: Reasons for using the Import Module?
Replies: 12
Views: 2647

Re: Reasons for using the Import Module?

Yes I use the import module and have specific profiles as well for moving files from PC desktops to a file server (PostgreSQL version). After many versions where it was seemed less than reliable, it appears to be solid as of 5.x. Our workflow spends significant time on PCs doing ruthless culling, pr...
by gcurrie
10 Dec 19 0:45
Forum: Photo Supreme
Topic: Best practice for updating PSU Server 4 to 5?
Replies: 1
Views: 391

Best practice for updating PSU Server 4 to 5?

I purchased licenses for the upgrade to v5 PostgreSQL. Currently running v4 on a PostgreSQL 9.6 database.

What are the steps to migrate my database and upgrade the v4 clients to v5?

Should the PostgreSQL database be upgraded to v10?
by gcurrie
05 Apr 19 2:12
Forum: Photo Supreme
Topic: PostgreSQL upgrade in place?
Replies: 1
Views: 416

PostgreSQL upgrade in place?

When I first installed PostgreSQL (in order to run PSU Server edition), I chose version 9.6 as that was the latest that PSU worked with. Now I see version 10 available for some time, and 11 has been released (but PSU doesn't yet work with it). Is there any way to UPDATE the version of PostgreSQL run...
by gcurrie
11 Feb 19 22:21
Forum: Photo Supreme
Topic: [resolved] Backup problems PostgreSQL 10
Replies: 3
Views: 655

Re: [resolved] Backup problems PostgreSQL 10

Any possibility you could tell us all and help someone avoid a similar situation?
by gcurrie
11 Feb 19 22:19
Forum: Photo Supreme
Topic: Postgres11 - thoughts?
Replies: 2
Views: 485

Re: Postgres11 - thoughts?

I'm still on 9.6 with Photo Supreme. I was wondering if 10 had any advantage. Now there is 11???
by gcurrie
06 Feb 18 21:41
Forum: Photo Supreme
Topic: Version 4 - Oh Dear.
Replies: 10
Views: 2760

Re: Version 4 - Oh Dear.

Other than an aversion to 32 bit, what's the problem here?
by gcurrie
11 Aug 17 6:46
Forum: Photo Supreme
Topic: How to use DataExchange tool properly?
Replies: 6
Views: 2463

Re: How to use DataExchange tool properly?

Well second time was a charm. V3 and PostgreSQL result in a welcome speed boost and robust feeling.
by gcurrie
11 Aug 17 2:01
Forum: Photo Supreme
Topic: How to use DataExchange tool properly?
Replies: 6
Views: 2463

Re: How to use DataExchange tool properly?

After 2 hours, error: An error occurred while applying the updates in a record: TPostgreSQLConnection: Execution of query failed (PostgreSQL:ERROR out of memory DETAIL: Failed on request of size 122880. Severity: ERROR SQL State: 53200 Primary Error: out of memory Error Detail: Failed on request of ...
by gcurrie
10 Aug 17 23:32
Forum: Photo Supreme
Topic: Changes to PostgreSQL install guide needed
Replies: 0
Views: 3337

Changes to PostgreSQL install guide needed

The QuickInstall guide for PSU PostgreSQL (http://www.idimager.com/trial/QuickInstall-PostgreSQL9-PhotoSupreme.pdf) is a little out of date. It describes using pg_admin III, but that program is no longer available. The new one (pg_admin 4) no longer offers the ability to edit settings in the conf fi...
by gcurrie
10 Aug 17 23:28
Forum: Photo Supreme
Topic: How to use DataExchange tool properly?
Replies: 6
Views: 2463

Re: How to use DataExchange tool properly?

Reading your reply, it looks like you said exactly what I am doing.

So as soon as it is done upgrading to v3, I will run the data exchange tool again.
by gcurrie
10 Aug 17 23:12
Forum: Photo Supreme
Topic: How to use DataExchange tool properly?
Replies: 6
Views: 2463

Re: How to use DataExchange tool properly?

Ah. I think I get it. I have PSU SQL Server v2 and PSU PostgreSQL v3. So, if I understand correctly, I need to: 1. Update my existing client apps to PSU SQL Server v3. 2. Connect a client to the database to upgrade it to v3. 3. Now run data migration tool to convert database from SQL Server to Posgr...